Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 85032 - Minor permissions changes on orion files and new restart function on orion init script.
Summary: Minor permissions changes on orion files and new restart function on orion in...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords:
: 85033 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-03-12 19:24 UTC by Marc Vilanova
Modified: 2005-03-16 05:56 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Vilanova 2005-03-12 19:24:43 UTC
I have installed orion in my gentoo linux box and I have been doing some minor changes in the ebuild to set more restrictive perms over the orion files without affect it's functionality.

Here I attach the new ebuild that have the new perms:

--- /usr/portage/www-servers/orion/orion-2.0.5.ebuild   2005-01-08 03:38:09.000000000 +0100
+++ orion-2.0.5.ebuild  2005-03-13 04:03:49.000000000 +0100
@@ -31,7 +31,7 @@
 
 src_install() {
        # CREATE DIRECTORIES
-       diropts -m0775
+       diropts -m0755
        dodir /opt/${PN}
        dodir /opt/${PN}/config
        dodir /opt/${PN}/sbin
@@ -52,7 +52,7 @@
 
        cp -a ${FILESDIR}/${PV}/orion.conf ${S}/orion
        insinto /etc/conf.d
-       insopts -m0750
+       insopts -m0644
        doins ${S}/orion
 
        # CREATE DUMMY LOG & PERSISTENCE DIR
@@ -92,7 +92,7 @@
 
        chown -R orion:orion /opt/${PN} || die "Failed to chown in /opt"
        chown -R orion:orion /var/log/${PN} || die "Failed to chown in /var/log"
-       chown orion:orion /etc/conf.d/orion
+       chown root:root /etc/conf.d/orion || die "Failed to chown in /etc/conf.d"
 
        einfo " "
        einfo " NOTICE!"


Also I have changed the restart function on the /etc/init.d/orion startup script to be more standard:

restart() {
        svc_stop; svc_start
}

Reproducible: Always
Steps to Reproduce:
1.
2.
3.

Actual Results:  
The orion files have more restrictive perms, but it doesn't affect.
The restart function on startup script is more standard.
Comment 1 Jan Brinkmann (RETIRED) gentoo-dev 2005-03-13 06:01:43 UTC
*** Bug 85033 has been marked as a duplicate of this bug. ***
Comment 2 Jan Brinkmann (RETIRED) gentoo-dev 2005-03-16 05:56:03 UTC
patch partially applied, thanks